%{?nodejs_find_provides_and_requires}

Name:           nodejs-amdefine
Version:        1.0.1
Release:        %mkrel 5
Summary:        Provide AMD's define() API for declaring modules in the AMD format
BuildArch:      noarch

Group:          System/Servers
# "amdefine is released under two licenses: new BSD, and MIT. You may pick the
#  license that best suits your development needs."
License:        BSD or MIT
URL:            https://github.com/jrburke/amdefine
Source0:        https://registry.npmjs.org/amdefine/-/amdefine-%{version}.tgz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs

%description
A module that can be used to implement the Asynchronous Module Definition's
define() in Node. This allows you to code to the AMD API and have the module
work in node programs without requiring those other programs to use AMD.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/amdefine
cp -pr package.json amdefine.js %{buildroot}%{nodejs_sitelib}/amdefine

%files
%{nodejs_sitelib}/amdefine
%doc LICENSE README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.1-5.mga10
+ Revision: 2210901
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 1.0.1-4.mga9
+ Revision: 1825341
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1502273
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1280145
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1223651
- Update to version 1.0.1

* Mon Feb 08 2016 umeabot <umeabot> 0.0.4-3.mga6
+ Revision: 947767
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-2.mga5
+ Revision: 749404
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.4-1.mga5
+ Revision: 726848
- imported package nodejs-amdefine


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 0.0.4-1.mga5
- import from FC

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-2
- add macro to enable dependency generation on EPEL6

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- initial package generated by npm2rpm
